BearSSL

br_hkdf_context Struct Reference

HKDF context. More...

`#include <bearssl_kdf.h>`

## Detailed Description

HKDF context.

The HKDF context is initialized with a hash function implementation and a salt value. Contents are opaque (callers should not access them directly). The caller is responsible for allocating the context where appropriate. Context initialisation and usage incurs no dynamic allocation, so there is no release function.

The documentation for this struct was generated from the following file:

- bearssl_kdf.h